Skip to main content
PATCH
/
utxo_management
/
{vaultAccountId}
/
{assetId}
/
labels
TypeScript
const response: Promise<FireblocksResponse<AttachDetachUtxoLabelsResponse>> = fireblocks.uTXOManagementBeta.updateUtxoLabels(uTXOManagementBetaApiUpdateUtxoLabelsRequest);
{
  "utxos": [
    {
      "input": {
        "txHash": "b34f0c3ce612f1e5a5c19d6b1e6b5e3e7f1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c",
        "index": 0
      },
      "utxoId": "123456",
      "address": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
      "amount": "0.00150000",
      "status": "AVAILABLE",
      "confirmations": 6,
      "isChange": false,
      "isCoinbase": false,
      "fbTxId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850e",
      "createdByHash": "000000000000000000024bead8df69990852c202db0e0097c1a12ea637d7e96d",
      "spentByFbTxId": [
        "b70701f4-d7b1-4795-a8ee-b09cdb5b850e"
      ],
      "createdByHeight": 800100,
      "createdAt": "2025-01-16T15:45:00Z",
      "updatedAt": "2025-01-16T15:45:00Z",
      "labels": [
        "cold-storage",
        "vip"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

assetId
string
required

The ID of the asset

Body

application/json
utxoIdentifiers
object[]
required

List of UTXO identifiers to apply label changes to

Required array length: 1 - 200 elements
labelsToAttach
string[]

Labels to attach to the specified UTXOs. At least one of labelsToAttach or labelsToDetach must be provided.

Required array length: 1 - 5 elements
Maximum string length: 30
Pattern: ^[a-z0-9][a-z0-9_-]*$
Example:
["cold-storage", "vip"]
labelsToDetach
string[]

Labels to detach from the specified UTXOs. At least one of labelsToAttach or labelsToDetach must be provided.

Required array length: 1 - 5 elements
Maximum string length: 30
Pattern: ^[a-z0-9][a-z0-9_-]*$
Example:
["deprecated"]

Response

UTXOs with updated labels

utxos
object[]

Modified UTXOs with updated labels